当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 9 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 编译安装cmake时的问题怎么解决?谢谢
帖子发表于 : 2013-01-30 19:20 
头像

注册: 2010-01-01 23:29
帖子: 449
系统: Ubuntu16.10
送出感谢: 4
接收感谢: 2
ubuntu12.04 64位 kdenlive0.9.4

cmake时
-- checking for module 'mlt++'
-- package 'mlt++' not found
CMake Error at cmake/modules/FindLIBMLT.cmake:70 (message):
Could not find MLT++
Call Stack (most recent call first):
CMakeLists.txt:66 (find_package)


-- Configuring incomplete, errors occurred!

这个mlt++是何东西,怎么安装?谢谢


_________________
凤凰网 https://my.fengjr.com/register?invitecode=tzno4O91
钱宝网 http://a.qbao.com/XgJjk(注册送15元现金可提现,1000体验金,收益稳定)
小旺铺 http://enterprise.qbao.com/merchant/sho ... Id=5165759
淘宝店 http://shop33210740.taobao.com


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 编译安装cmake时的问题怎么解决?谢谢
帖子发表于 : 2013-01-30 19:21 
头像

注册: 2008-07-24 11:33
帖子: 4793
地址: 郑州
送出感谢: 4
接收感谢: 92
libmlt++-dev


_________________
求人不如求它仨: 天蓝的Wiki 屎黄的Wiki 绿
Site: CUIHAO.TK    Twitter: @cuihaoleo
Machine: Athlon64 X2 5200+ / 2x2GB DDR2-800 / GeForce GTS 450
AD: ~まだ見ぬ誰かの笑顔のために~


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 编译安装cmake时的问题怎么解决?谢谢
帖子发表于 : 2013-01-30 19:23 
头像

注册: 2008-08-13 8:48
帖子: 26391
地址: 东海硇州,一双管钥。
系统: Fundu i64
送出感谢: 50
接收感谢: 344
apt一步到位。 :em01 :em01 :em01
http://www.mltframework.org/


_________________
◎当我站在道德的高度上俯视别人的时候,发现自己是多么渺小。
♥执着但不偏激,反对而不排斥,坚决捍卫矛盾体的存在方式。
★★★天气预报★★★
fcitx-yatable一个可以使用的码表输入法
[教程]几个实例攻克软件编译难关
Gentoo Development Guide
字体相关


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 编译安装cmake时的问题怎么解决?谢谢
帖子发表于 : 2013-01-30 22:32 
头像

注册: 2010-01-01 23:29
帖子: 449
系统: Ubuntu16.10
送出感谢: 4
接收感谢: 2
cuihao 写道:
libmlt++-dev


谢谢,装上了。再请教下

再次cmake时又提示如下 已经是最新版了怎么还是没找着呢 还有个问题 软件包 lib什么意思 后面都跟的dev什么意思,谢谢

wayoca@wayoca-R690A-M2T:~/build$ sudo apt-get install libmlt++-dev
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
libmlt++-dev 已经是最新的版本了。
升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 0 个软件包未被升级。
wayoca@wayoca-R690A-M2T:~/build$ cmake ~/kdenlive-0.9.4
-- Found Qt-Version 4.8.1 (using /usr/bin/qmake)
-- Found X11: /usr/lib/x86_64-linux-gnu/libX11.so
-- Found KDE 4.8 include dir: /usr/include
-- Found KDE 4.8 library dir: /usr/lib
-- Found the KDE4 kconfig_compiler preprocessor: /usr/bin/kconfig_compiler
-- Found automoc4: /usr/bin/automoc4
-- Found Qt-Version 4.8.1 (using /usr/bin/qmake)
-- Found X11: /usr/lib/x86_64-linux-gnu/libX11.so
CMake Error at cmake/modules/FindLIBMLT.cmake:70 (message):
Could not find MLT++
Call Stack (most recent call first):
CMakeLists.txt:66 (find_package)


-- Configuring incomplete, errors occurred!
可是已经在这里了
wayoca@wayoca-R690A-M2T:~/build$ whereis mlt++
mlt++: /usr/include/mlt++


这是FindLIBMLT.cmake文件所指向的70行的内容
if(LIBMLT_FOUND)
set(LIBMLT_VERSION ${MLT_VERSION})
if(NOT LIBMLT_FIND_QUIETLY)
message(STATUS "Found MLT++: ${LIBMLTPLUS_LIBRARY}")
endif(NOT LIBMLT_FIND_QUIETLY)
else(LIBMLT_FOUND)
if(LIBMLT_FIND_REQUIRED)
message(FATAL_ERROR "Could not find MLT++")
endif(LIBMLT_FIND_REQUIRED)
endif(LIBMLT_FOUND)

看不大懂

晕,我把build和源码文件夹删除重新建了,然后再cmake,又成这样的, :em21 :em19 :em23 :em21 :em19 :em23 :em23 :em23
wayoca@wayoca-R690A-M2T:~/build$ cmake ~/kdenlive-0.9.4
-- Found Qt-Version 4.8.1 (using /usr/bin/qmake)
-- Found X11: /usr/lib/x86_64-linux-gnu/libX11.so
-- Found KDE 4.8 include dir: /usr/include
-- Found KDE 4.8 library dir: /usr/lib
-- Found the KDE4 kconfig_compiler preprocessor: /usr/bin/kconfig_compiler
-- Found automoc4: /usr/bin/automoc4
-- Found Qt-Version 4.8.1 (using /usr/bin/qmake)
-- Found X11: /usr/lib/x86_64-linux-gnu/libX11.so
CMake Error at cmake/modules/FindLIBMLT.cmake:70 (message):
Could not find MLT++
Call Stack (most recent call first):
CMakeLists.txt:66 (find_package)


-- Configuring incomplete, errors occurred!
wayoca@wayoca-R690A-M2T:~/build$ cmake ~/kdenlive-0.9.4
-- Found Qt-Version 4.8.1 (using /usr/bin/qmake)
-- Found X11: /usr/lib/x86_64-linux-gnu/libX11.so
-- Found KDE 4.8 include dir: /usr/include
-- Found KDE 4.8 library dir: /usr/lib
-- Found the KDE4 kconfig_compiler preprocessor: /usr/bin/kconfig_compiler
-- Found automoc4: /usr/bin/automoc4
-- Found Qt-Version 4.8.1 (using /usr/bin/qmake)
-- Found X11: /usr/lib/x86_64-linux-gnu/libX11.so
CMake Error at cmake/modules/FindLIBMLT.cmake:70 (message):
Could not find MLT++
Call Stack (most recent call first):
CMakeLists.txt:66 (find_package)


-- Configuring incomplete, errors occurred!
wayoca@wayoca-R690A-M2T:~/build$ whereis mlt++
mlt++: /usr/include/mlt++
wayoca@wayoca-R690A-M2T:~/build$ cmake ~/kdenlive-0.9.4
-- The C compiler identification is GNU
-- The CXX compiler identification is GNU
-- Check for working C compiler: /usr/bin/gcc
-- Check for working C compiler: /usr/bin/gcc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Looking for include files HAVE_MALLOC_H
-- Looking for include files HAVE_MALLOC_H - found
-- Looking for include files HAVE_PTHREAD_H
-- Looking for include files HAVE_PTHREAD_H - found
-- Looking for Q_WS_X11
-- Looking for Q_WS_X11 - found
-- Looking for Q_WS_WIN
-- Looking for Q_WS_WIN - not found.
-- Looking for Q_WS_QWS
-- Looking for Q_WS_QWS - not found.
-- Looking for Q_WS_MAC
-- Looking for Q_WS_MAC - not found.
-- Found Qt-Version 4.8.1 (using /usr/bin/qmake)
-- Looking for XOpenDisplay in /usr/lib/x86_64-linux-gnu/libX11.so;/usr/lib/x86_64-linux-gnu/libXext.so;/usr/lib/x86_64-linux-gnu/libXft.so;/usr/lib/x86_64-linux-gnu/libXau.so;/usr/lib/x86_64-linux-gnu/libXdmcp.so
-- Looking for XOpenDisplay in /usr/lib/x86_64-linux-gnu/libX11.so;/usr/lib/x86_64-linux-gnu/libXext.so;/usr/lib/x86_64-linux-gnu/libXft.so;/usr/lib/x86_64-linux-gnu/libXau.so;/usr/lib/x86_64-linux-gnu/libXdmcp.so - found
-- Looking for gethostbyname
-- Looking for gethostbyname - found
-- Looking for connect
-- Looking for connect - found
-- Looking for remove
-- Looking for remove - found
-- Looking for shmat
-- Looking for shmat - found
-- Looking for IceConnectionNumber in ICE
-- Looking for IceConnectionNumber in ICE - found
-- Found X11: /usr/lib/x86_64-linux-gnu/libX11.so
-- Looking for include files CMAKE_HAVE_PTHREAD_H
-- Looking for include files CMAKE_HAVE_PTHREAD_H - found
-- Looking for pthread_create in pthreads
-- Looking for pthread_create in pthreads - not found
-- Looking for pthread_create in pthread
-- Looking for pthread_create in pthread - found
-- Found Threads: TRUE
-- Looking for _POSIX_TIMERS
-- Looking for _POSIX_TIMERS - found
-- Found Automoc4: /usr/bin/automoc4
-- Found Perl: /usr/bin/perl
-- Found Phonon: /usr/include
-- Performing Test _OFFT_IS_64BIT
-- Performing Test _OFFT_IS_64BIT - Success
-- Performing Test HAVE_FPIE_SUPPORT
-- Performing Test HAVE_FPIE_SUPPORT - Success
-- Performing Test __KDE_HAVE_W_OVERLOADED_VIRTUAL
-- Performing Test __KDE_HAVE_W_OVERLOADED_VIRTUAL - Success
-- Performing Test __KDE_HAVE_GCC_VISIBILITY
-- Performing Test __KDE_HAVE_GCC_VISIBILITY - Success
-- Found KDE 4.8 include dir: /usr/include
-- Found KDE 4.8 library dir: /usr/lib
-- Found the KDE4 kconfig_compiler preprocessor: /usr/bin/kconfig_compiler
-- Found automoc4: /usr/bin/automoc4
-- Found Qt-Version 4.8.1 (using /usr/bin/qmake)
-- Found X11: /usr/lib/x86_64-linux-gnu/libX11.so
-- checking for module 'mlt++'
-- found mlt++, version 0.8.2
Package mlt-framework was not found in the pkg-config search path.
Perhaps you should add the directory containing `mlt-framework.pc'
to the PKG_CONFIG_PATH environment variable
Package 'mlt-framework', required by 'mlt++', not found
Package mlt-framework was not found in the pkg-config search path.
Perhaps you should add the directory containing `mlt-framework.pc'
to the PKG_CONFIG_PATH environment variable
Package 'mlt-framework', required by 'mlt++', not found
Package mlt-framework was not found in the pkg-config search path.
Perhaps you should add the directory containing `mlt-framework.pc'
to the PKG_CONFIG_PATH environment variable
Package 'mlt-framework', required by 'mlt++', not found
Package mlt-framework was not found in the pkg-config search path.
Perhaps you should add the directory containing `mlt-framework.pc'
to the PKG_CONFIG_PATH environment variable
Package 'mlt-framework', required by 'mlt++', not found
Package mlt-framework was not found in the pkg-config search path.
Perhaps you should add the directory containing `mlt-framework.pc'
to the PKG_CONFIG_PATH environment variable
Package 'mlt-framework', required by 'mlt++', not found
Package mlt-framework was not found in the pkg-config search path.
Perhaps you should add the directory containing `mlt-framework.pc'
to the PKG_CONFIG_PATH environment variable
Package 'mlt-framework', required by 'mlt++', not found
Package mlt-framework was not found in the pkg-config search path.
Perhaps you should add the directory containing `mlt-framework.pc'
to the PKG_CONFIG_PATH environment variable
Package 'mlt-framework', required by 'mlt++', not found
Package mlt-framework was not found in the pkg-config search path.
Perhaps you should add the directory containing `mlt-framework.pc'
to the PKG_CONFIG_PATH environment variable
Package 'mlt-framework', required by 'mlt++', not found
Package mlt-framework was not found in the pkg-config search path.
Perhaps you should add the directory containing `mlt-framework.pc'
to the PKG_CONFIG_PATH environment variable
Package 'mlt-framework', required by 'mlt++', not found
Package mlt-framework was not found in the pkg-config search path.
Perhaps you should add the directory containing `mlt-framework.pc'
to the PKG_CONFIG_PATH environment variable
Package 'mlt-framework', required by 'mlt++', not found
Package mlt-framework was not found in the pkg-config search path.
Perhaps you should add the directory containing `mlt-framework.pc'
to the PKG_CONFIG_PATH environment variable
Package 'mlt-framework', required by 'mlt++', not found
Package mlt-framework was not found in the pkg-config search path.
Perhaps you should add the directory containing `mlt-framework.pc'
to the PKG_CONFIG_PATH environment variable
Package 'mlt-framework', required by 'mlt++', not found
CMake Error at cmake/modules/FindLIBMLT.cmake:70 (message):
Could not find MLT++
Call Stack (most recent call first):
CMakeLists.txt:66 (find_package)


-- Configuring incomplete, errors occurred!





接着请教一下吧,已经apt了,本不想编译了的,学习一下吧
编译安装mlt ./configure 时有两个东西不知道怎么安装

wayoca@wayoca-R690A-M2T:~/mlt-0.8.8$ ./configure
Configuring framework:
Configuring modules:
Configuring modules/avformat:
Configuring modules/core:
Configuring modules/decklink:
Configuring modules/dv:
Configuring modules/feeds:
Configuring modules/frei0r:
Configuring modules/gtk2:
Configuring modules/jackrack:
- jackrack not found: disabling------------这里
Configuring modules/kdenlive:
Configuring modules/lumas:
Configuring modules/oldfilm:
Configuring modules/plus:
Configuring modules/rtaudio:
Configuring modules/sdl:
Configuring modules/sox:
Configuring modules/swfdec:
Configuring modules/vmfx:
Configuring modules/vorbis:
- ogg vorbis not found: disabling-------------这里
Configuring modules/xml:
Configuring melt:
Configuring mlt++:
Configuring swig:
LGPLv2.1 license used; GPL components disabled


_________________
凤凰网 https://my.fengjr.com/register?invitecode=tzno4O91
钱宝网 http://a.qbao.com/XgJjk(注册送15元现金可提现,1000体验金,收益稳定)
小旺铺 http://enterprise.qbao.com/merchant/sho ... Id=5165759
淘宝店 http://shop33210740.taobao.com


最后由 wayoca 编辑于 2013-01-30 23:08,总共编辑了 6 次

页首
 用户资料  
 
5 楼 
 文章标题 : Re: 编译安装cmake时的问题怎么解决?谢谢
帖子发表于 : 2013-01-30 22:34 
头像

注册: 2010-01-01 23:29
帖子: 449
系统: Ubuntu16.10
送出感谢: 4
接收感谢: 2
YeLee 写道:
apt一步到位。 :em01 :em01 :em01
http://www.mltframework.org/


谢谢,apt的在使用中,今天发现有新版本,多了些功能,有些需要的。另一方面是学习一下编译。


_________________
凤凰网 https://my.fengjr.com/register?invitecode=tzno4O91
钱宝网 http://a.qbao.com/XgJjk(注册送15元现金可提现,1000体验金,收益稳定)
小旺铺 http://enterprise.qbao.com/merchant/sho ... Id=5165759
淘宝店 http://shop33210740.taobao.com


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 编译安装cmake时的问题怎么解决?谢谢
帖子发表于 : 2013-01-30 23:03 
头像

注册: 2008-07-24 11:33
帖子: 4793
地址: 郑州
送出感谢: 4
接收感谢: 92
http://packages.ubuntu.com/search?suite ... chon=names
LZ自己搜吧,我说那个不一定正好是需要的。


_________________
求人不如求它仨: 天蓝的Wiki 屎黄的Wiki 绿
Site: CUIHAO.TK    Twitter: @cuihaoleo
Machine: Athlon64 X2 5200+ / 2x2GB DDR2-800 / GeForce GTS 450
AD: ~まだ見ぬ誰かの笑顔のために~


页首
 用户资料  
 
7 楼 
 文章标题 : Re: 编译安装cmake时的问题怎么解决?谢谢
帖子发表于 : 2013-01-31 0:32 
头像

注册: 2010-01-01 23:29
帖子: 449
系统: Ubuntu16.10
送出感谢: 4
接收感谢: 2
cuihao 写道:
http://packages.ubuntu.com/search?suite=default&section=all&arch=any&lang=zh-cn&keywords=mlt%2B%2B&searchon=names
LZ自己搜吧,我说那个不一定正好是需要的。


感谢这么晚还在指教

我装了最新的mlt 0.8.8 还是不行呀
wayoca@wayoca-R690A-M2T:~/build$ cmake ~/kdenlive-0.9.4
-- The C compiler identification is GNU
-- The CXX compiler identification is GNU
-- Check for working C compiler: /usr/bin/gcc
-- Check for working C compiler: /usr/bin/gcc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Looking for include files HAVE_MALLOC_H
-- Looking for include files HAVE_MALLOC_H - found
-- Looking for include files HAVE_PTHREAD_H
-- Looking for include files HAVE_PTHREAD_H - found
-- Looking for Q_WS_X11
-- Looking for Q_WS_X11 - found
-- Looking for Q_WS_WIN
-- Looking for Q_WS_WIN - not found.
-- Looking for Q_WS_QWS
-- Looking for Q_WS_QWS - not found.
-- Looking for Q_WS_MAC
-- Looking for Q_WS_MAC - not found.
-- Found Qt-Version 4.8.1 (using /usr/bin/qmake)
-- Looking for XOpenDisplay in /usr/lib/x86_64-linux-gnu/libX11.so;/usr/lib/x86_64-linux-gnu/libXext.so;/usr/lib/x86_64-linux-gnu/libXft.so;/usr/lib/x86_64-linux-gnu/libXau.so;/usr/lib/x86_64-linux-gnu/libXdmcp.so
-- Looking for XOpenDisplay in /usr/lib/x86_64-linux-gnu/libX11.so;/usr/lib/x86_64-linux-gnu/libXext.so;/usr/lib/x86_64-linux-gnu/libXft.so;/usr/lib/x86_64-linux-gnu/libXau.so;/usr/lib/x86_64-linux-gnu/libXdmcp.so - found
-- Looking for gethostbyname
-- Looking for gethostbyname - found
-- Looking for connect
-- Looking for connect - found
-- Looking for remove
-- Looking for remove - found
-- Looking for shmat
-- Looking for shmat - found
-- Looking for IceConnectionNumber in ICE
-- Looking for IceConnectionNumber in ICE - found
-- Found X11: /usr/lib/x86_64-linux-gnu/libX11.so
-- Looking for include files CMAKE_HAVE_PTHREAD_H
-- Looking for include files CMAKE_HAVE_PTHREAD_H - found
-- Looking for pthread_create in pthreads
-- Looking for pthread_create in pthreads - not found
-- Looking for pthread_create in pthread
-- Looking for pthread_create in pthread - found
-- Found Threads: TRUE
-- Looking for _POSIX_TIMERS
-- Looking for _POSIX_TIMERS - found
-- Found Automoc4: /usr/bin/automoc4
-- Found Perl: /usr/bin/perl
-- Found Phonon: /usr/include
-- Performing Test _OFFT_IS_64BIT
-- Performing Test _OFFT_IS_64BIT - Success
-- Performing Test HAVE_FPIE_SUPPORT
-- Performing Test HAVE_FPIE_SUPPORT - Success
-- Performing Test __KDE_HAVE_W_OVERLOADED_VIRTUAL
-- Performing Test __KDE_HAVE_W_OVERLOADED_VIRTUAL - Success
-- Performing Test __KDE_HAVE_GCC_VISIBILITY
-- Performing Test __KDE_HAVE_GCC_VISIBILITY - Success
-- Found KDE 4.8 include dir: /usr/include
-- Found KDE 4.8 library dir: /usr/lib
-- Found the KDE4 kconfig_compiler preprocessor: /usr/bin/kconfig_compiler
-- Found automoc4: /usr/bin/automoc4
-- Found Qt-Version 4.8.1 (using /usr/bin/qmake)
-- Found X11: /usr/lib/x86_64-linux-gnu/libX11.so
-- checking for module 'mlt++'
-- found mlt++, version 0.8.8 从这里开始是啥意思,这不是找到了吗
CMake Error at cmake/modules/FindLIBMLT.cmake:70 (message):
Could not find MLT++ 为啥这里又没找到呢 还用上了大写
Call Stack (most recent call first):
CMakeLists.txt:66 (find_package)

下面的对吗
wayoca@wayoca-R690A-M2T:~/build$ sudo find / -name "mlt+*"
[sudo] password for wayoca:
/home/wayoca/.local/share/Trash/files/mlt-0.8.8/docs/mlt++.txt
/home/wayoca/.local/share/Trash/files/mlt-0.8.8/mlt++.pc.in
/home/wayoca/.local/share/Trash/files/mlt-0.8.8/src/mlt++
/home/wayoca/.local/share/Trash/files/mlt-0.8.8/mlt++.pc
/usr/include/mlt++
/usr/lib/pkgconfig/mlt++.pc
wayoca@wayoca-R690A-M2T:~/build$ sudo find / -name "mlt"
/usr/lib/mlt
/usr/share/mlt



下面是源码包里的 FindLIBMLT.cmake 文件

#
# Find the MLT includes and libraries.
#

include(FindPkgConfig)
pkg_check_modules(MLT mlt++)
add_definitions(-DMLT_PREFIX=\\\"\"${MLT_PREFIX}\"\\\")

find_path(LIBMLT_INCLUDE_DIR
NAMES framework/mlt.h
PATHS
${MLT_INCLUDEDIR}/mlt
${MLT_PREFIX}/include/mlt
/usr/local/include/mlt
/usr/include/mlt
NO_DEFAULT_PATH
)

find_library(LIBMLT_LIBRARY
NAMES mlt
PATHS
${MLT_LIBDIR}
${MLT_PREFIX}/lib
/usr/local/lib
/usr/lib
NO_DEFAULT_PATH
)

find_path(LIBMLTPLUS_INCLUDE_DIR
NAMES mlt++/Mlt.h
PATHS
${MLT_INCLUDEDIR}
${MLT_PREFIX}/include
/usr/local/include
/usr/include
NO_DEFAULT_PATH
)

find_library(LIBMLTPLUS_LIBRARY
NAMES mlt++
PATHS
${MLT_LIBDIR}
${MLT_PREFIX}/lib
/usr/local/lib
/usr/lib
NO_DEFAULT_PATH
)

if(LIBMLT_LIBRARY AND LIBMLT_INCLUDE_DIR)
set(LIBMLT_FOUND 1)
set(LIBMLT_LIBRARIES ${LIBMLT_LIBRARY})
else(LIBMLT_LIBRARY AND LIBMLT_INCLUDE_DIR)
set(LIBMLT_FOUND 0)
endif(LIBMLT_LIBRARY AND LIBMLT_INCLUDE_DIR)

if(LIBMLT_FOUND AND LIBMLTPLUS_LIBRARY AND LIBMLTPLUS_INCLUDE_DIR)
set(LIBMLT_FOUND 1)
set(LIBMLTPLUS_LIBRARIES ${LIBMLTPLUS_LIBRARY})
else(LIBMLT_FOUND AND LIBMLTPLUS_LIBRARY AND LIBMLTPLUS_INCLUDE_DIR)
set(LIBMLT_FOUND 0)
endif(LIBMLT_FOUND AND LIBMLTPLUS_LIBRARY AND LIBMLTPLUS_INCLUDE_DIR)

if(LIBMLT_FOUND)
set(LIBMLT_VERSION ${MLT_VERSION})
if(NOT LIBMLT_FIND_QUIETLY)
message(STATUS "Found MLT++: ${LIBMLTPLUS_LIBRARY}")
endif(NOT LIBMLT_FIND_QUIETLY)
else(LIBMLT_FOUND)
if(LIBMLT_FIND_REQUIRED)
message(FATAL_ERROR "Could not find MLT++")
endif(LIBMLT_FIND_REQUIRED)
endif(LIBMLT_FOUND)


_________________
凤凰网 https://my.fengjr.com/register?invitecode=tzno4O91
钱宝网 http://a.qbao.com/XgJjk(注册送15元现金可提现,1000体验金,收益稳定)
小旺铺 http://enterprise.qbao.com/merchant/sho ... Id=5165759
淘宝店 http://shop33210740.taobao.com


页首
 用户资料  
 
8 楼 
 文章标题 : Re: 编译安装cmake时的问题怎么解决?谢谢
帖子发表于 : 2013-01-31 8:24 
头像

注册: 2008-08-13 8:48
帖子: 26391
地址: 东海硇州,一双管钥。
系统: Fundu i64
送出感谢: 50
接收感谢: 344
apt的一步到位不仅仅是指它能够一步安装,还能一步解决构建依赖,让系统帮助你下载编译软件所需要的库。 :em01 :em01 :em01
不过,手动安装只能说你不肯等,短时间来说,手动安装是得到新软件最快捷的方式。然而,长时间来看,手动安装的包会随着时间的推移而逐渐过期,到时候就难管理了。假如不想到时候出问题的话,建议还是自己写control,打包成deb。 :em01 :em01 :em01


_________________
◎当我站在道德的高度上俯视别人的时候,发现自己是多么渺小。
♥执着但不偏激,反对而不排斥,坚决捍卫矛盾体的存在方式。
★★★天气预报★★★
fcitx-yatable一个可以使用的码表输入法
[教程]几个实例攻克软件编译难关
Gentoo Development Guide
字体相关


页首
 用户资料  
 
9 楼 
 文章标题 : Re: 编译安装cmake时的问题怎么解决?谢谢
帖子发表于 : 2013-01-31 11:30 
头像

注册: 2010-01-01 23:29
帖子: 449
系统: Ubuntu16.10
送出感谢: 4
接收感谢: 2
YeLee 写道:
apt的一步到位不仅仅是指它能够一步安装,还能一步解决构建依赖,让系统帮助你下载编译软件所需要的库。 :em01 :em01 :em01
不过,手动安装只能说你不肯等,短时间来说,手动安装是得到新软件最快捷的方式。然而,长时间来看,手动安装的包会随着时间的推移而逐渐过期,到时候就难管理了。假如不想到时候出问题的话,建议还是自己写control,打包成deb。 :em01 :em01 :em01



谢谢,不过,菜鸟,现在还是只停留在使用的阶段


_________________
凤凰网 https://my.fengjr.com/register?invitecode=tzno4O91
钱宝网 http://a.qbao.com/XgJjk(注册送15元现金可提现,1000体验金,收益稳定)
小旺铺 http://enterprise.qbao.com/merchant/sho ... Id=5165759
淘宝店 http://shop33210740.taobao.com


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 9 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 1 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译